library(kmerclust)
library(ggplot2)

args <- commandArgs(trailingOnly = TRUE)
print(args)
load(file = paste0(args[1], ".Rdata"))
load(file = paste0(args[1], "_boot.Rdata"))

res %>%
  ggplot(aes(x = name, y = BIC)) +
  geom_violin() %>%
  theme_bw()
ggsave(paste0(args[1], "_BIC.pdf"))
res %>%
  ggplot(aes(x = name, y = WSS_f / BSS)) +
  geom_violin() %>%
  theme_bw()
ggsave(paste0(args[1], "_WSS_BSS.pdf"))
count %>%
  ggplot(aes(x = count_m, y = count_f)) %>%
  theme_bw()
ggsave(paste0(args[1], "_scatter.pdf"))
